import React from "react";
export default class UserProfilePage extends React.Component {
  TitleView() {
    try {
      if (
        document.getElementById("pTitle").textContent !== "Установленные пакеты"
      ) {
        document.getElementById("pTitle").textContent = "Установленные пакеты";
      }
    } catch (e) {
      console.log(e);
    }
  }
  render() {
    return (
      <div>
        {this.TitleView()}
        {console.log(this.props.Ipkgs)}
        <ul>
          {Object.keys(this.props.Ipkgs).map((name) => (
            <li
              style={{
                textAlign: "left",
                border: "1px dotted #AAA",
                listStyle: "none"
              }}
            >
              <h2>{name}</h2>
              {this.props.Ipkgs[name].map((pkg) => (
                <div
                  style={{ width: "100%", padding: "10px", fontSize: "1.2em" }}
                >
                  {pkg}
                  <div
                    className="btn"
                    style={{ float: "right", padding: "0px" }}
                  >
                    Удалить
                  </div>
                </div>
              ))}
            </li>
          ))}
        </ul>
      </div>
    );
  }
}
